import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"markdown-math",displayName:"%displayName%",description:"%description%",version:"1.0.0",icon:"icon.png",publisher:"vscode",license:"MIT",aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",engines:{vscode:"^1.54.0"},categories:["Other","Programming Languages"],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:true}},main:undefined,browser:"./dist/browser/extension",activationEvents:[],contributes:{languages:[{id:"markdown-math",aliases:[]}],grammars:[{language:"markdown-math",scopeName:"text.html.markdown.math",path:"./syntaxes/md-math.tmLanguage.json"},{scopeName:"markdown.math.block",path:"./syntaxes/md-math-block.tmLanguage.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.math.markdown":"latex"}},{scopeName:"markdown.math.inline",path:"./syntaxes/md-math-inline.tmLanguage.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.math.markdown":"latex","punctuation.definition.math.end.markdown":"latex"}},{scopeName:"markdown.math.codeblock",path:"./syntaxes/md-math-fence.tmLanguage.json",injectTo:["text.html.markdown"],embeddedLanguages:{"meta.embedded.math.markdown":"latex"}}],notebookRenderer:[{id:"vscode.markdown-it-katex-extension",displayName:"Markdown it KaTeX renderer",entrypoint:{"extends":"vscode.markdown-it-renderer",path:"./notebook-out/katex.js"}}],"markdown.markdownItPlugins":true,"markdown.previewStyles":["./notebook-out/katex.min.css","./preview-styles/index.css"],configuration:[{title:"Markdown Math",properties:{"markdown.math.enabled":{type:"boolean","default":true,description:"%config.markdown.math.enabled%"},"markdown.math.macros":{type:"object",additionalProperties:{type:"string"},"default":{},description:"%config.markdown.math.macros%",scope:"resource"}}}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"README.md"});
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), {"mimeType":"text/markdown","size":246});
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"text/javascript","size":276823});
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), {"mimeType":"text/javascript","size":276823});
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), {"mimeType":"application/json","size":1010860});
registerFileUrl('icon.png', new URL('./resources/icon.png', import.meta.url).toString(), {"mimeType":"image/png","size":903});
registerFileUrl('notebook-out/fonts/KaTeX_AMS-Regular.woff2', new URL('./resources/KaTeX_AMS-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":28076});
registerFileUrl('notebook-out/fonts/KaTeX_Caligraphic-Bold.woff2', new URL('./resources/KaTeX_Caligraphic-Bold.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":6912});
registerFileUrl('notebook-out/fonts/KaTeX_Caligraphic-Regular.woff2', new URL('./resources/KaTeX_Caligraphic-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":6908});
registerFileUrl('notebook-out/fonts/KaTeX_Fraktur-Bold.woff2', new URL('./resources/KaTeX_Fraktur-Bold.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":11348});
registerFileUrl('notebook-out/fonts/KaTeX_Fraktur-Regular.woff2', new URL('./resources/KaTeX_Fraktur-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":11316});
registerFileUrl('notebook-out/fonts/KaTeX_Main-Bold.woff2', new URL('./resources/KaTeX_Main-Bold.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":25324});
registerFileUrl('notebook-out/fonts/KaTeX_Main-BoldItalic.woff2', new URL('./resources/KaTeX_Main-BoldItalic.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":16780});
registerFileUrl('notebook-out/fonts/KaTeX_Main-Italic.woff2', new URL('./resources/KaTeX_Main-Italic.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":16988});
registerFileUrl('notebook-out/fonts/KaTeX_Main-Regular.woff2', new URL('./resources/KaTeX_Main-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":26272});
registerFileUrl('notebook-out/fonts/KaTeX_Math-BoldItalic.woff2', new URL('./resources/KaTeX_Math-BoldItalic.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":16400});
registerFileUrl('notebook-out/fonts/KaTeX_Math-Italic.woff2', new URL('./resources/KaTeX_Math-Italic.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":16440});
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Bold.woff2', new URL('./resources/KaTeX_SansSerif-Bold.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":12216});
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Italic.woff2', new URL('./resources/KaTeX_SansSerif-Italic.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":12028});
registerFileUrl('notebook-out/fonts/KaTeX_SansSerif-Regular.woff2', new URL('./resources/KaTeX_SansSerif-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":10344});
registerFileUrl('notebook-out/fonts/KaTeX_Script-Regular.woff2', new URL('./resources/KaTeX_Script-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":9644});
registerFileUrl('notebook-out/fonts/KaTeX_Size1-Regular.woff2', new URL('./resources/KaTeX_Size1-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":5468});
registerFileUrl('notebook-out/fonts/KaTeX_Size2-Regular.woff2', new URL('./resources/KaTeX_Size2-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":5208});
registerFileUrl('notebook-out/fonts/KaTeX_Size3-Regular.woff2', new URL('./resources/KaTeX_Size3-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":3624});
registerFileUrl('notebook-out/fonts/KaTeX_Size4-Regular.woff2', new URL('./resources/KaTeX_Size4-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":4928});
registerFileUrl('notebook-out/fonts/KaTeX_Typewriter-Regular.woff2', new URL('./resources/KaTeX_Typewriter-Regular.woff2', import.meta.url).toString(), {"mimeType":"font/woff2","size":13568});
registerFileUrl('notebook-out/katex', new URL('./resources/katex.js', import.meta.url).toString(), {"mimeType":"text/javascript","size":279027});
registerFileUrl('notebook-out/katex.js', new URL('./resources/katex.js', import.meta.url).toString(), {"mimeType":"text/javascript","size":279027});
registerFileUrl('notebook-out/katex.min.css', new URL('./resources/katex.min.css.txt', import.meta.url).toString(), {"mimeType":"text/css","size":23352});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":1992});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":363});
registerFileUrl('preview-styles/index.css', new URL('./resources/index.css.txt', import.meta.url).toString(), {"mimeType":"text/css","size":416});
registerFileUrl('syntaxes/md-math-block.tmLanguage.json', new URL('./resources/md-math-block.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":1418});
registerFileUrl('syntaxes/md-math-fence.tmLanguage.json', new URL('./resources/md-math-fence.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":450});
registerFileUrl('syntaxes/md-math-inline.tmLanguage.json', new URL('./resources/md-math-inline.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":1388});
registerFileUrl('syntaxes/md-math.tmLanguage.json', new URL('./resources/md-math.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":1679});

export { whenReady };
